Status: Closed Start date: 28 Sep 2012

Priority: Normal Due date:  

Assignee: Christof Soeger % Done: 100%

Category: External  Libs Estimated time: 3.05 hours

Target version: CoCoA-5.2.0 spring 2017 Spent time: 3.05 hours

Description

I will make a little Normaliz test CoCoA5 script.

But we have to find a way how to let it run automatically if and only if CoCoA is configured with Normaliz. Maybe by only conditionally

add it to the tests list in the Makefile, the WITH_NORMALIZ flag is known there.

Related issues:

Related to CoCoA-5 - Support #251: How to add a test for CoCoA-5 (CoCoAInterp... Closed 02 Oct 2012

History

#1 - 01 Oct 2012 11:27 - Anna Maria Bigatti

the line in Makefile running the tests is

@./RunTests.sh $(TESTS) 2> /dev/null

it runs all the tests in $(TESTS)    

We could add the Normaliz tests to $(TESTS) with a conditional: if $HAVE_NORMALIZ=yes

Problem number (1):

Do we know how to put a conditional in Makefile (... which is not just for gmake?)

Problem number (2):

But I would rather have a way to check against another file (with desired error messages) if $HAVE_NORMALIZ=no

#2 - 01 Oct 2012 17:11 - Christof Soeger

Another possibility is to modify the test script to behave slightly different with external libs. For an example library foo it could be like this:

Name the test files ExtLibFoo.cocoa5, ExtLibFoo.out and ExtLibFoo.without (that is the expected output without lib foo ;) ).

Pass the information about the COCOA_WITH_FOO flag to the test script and it will decide on that whether to compare with .out or .without

Names are just examples and how to pass the information has to be specified.
#3 - 02 Oct 2012 09:57 - Anna Maria Bigatti

CVSed first trivial test for Normaliz and mechanisms for running it when HAVE_NORMALIZ=yes

(modified RunTests.sh more or less as you suggested)

#4 - 05 Oct 2012 17:40 - Christof Soeger

- Assignee set to Christof Soeger

- % Done changed from 0 to 70

Add some tests and will extend it when new Nmz functions come.

#5 - 14 Jun 2013 09:50 - Anna Maria Bigatti

- Status changed from New to In Progress

#6 - 02 Apr 2014 09:46 - Anna Maria Bigatti

- Target version set to CoCoA-5.1.0 Easter14

#7 - 04 Apr 2014 15:09 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.?.?

#8 - 11 May 2015 14:19 - John Abbott

- Target version changed from CoCoA-5.?.? to CoCoA-5.1.2 summer 2015

#9 - 13 May 2015 10:03 - Anna Maria Bigatti

- Category set to External  Libs

#10 - 30 Jul 2015 14:23 - John Abbott

- Target version changed from CoCoA-5.1.2 summer 2015 to CoCoA-5.1.3/4 Jan 2016

Postponing this issue as we shall be seeing Christof in September, and can talk to him about this issue then.

#11 - 17 Feb 2016 15:32 - John Abbott

- Target version changed from CoCoA-5.1.3/4 Jan 2016 to CoCoA-5.2.0 spring 2017

Uuuhh!  Does anyone remember anything about this?

Maybe it works now? (or am I too blindly optimistic)

#12 - 17 Feb 2016 18:33 - Christof Soeger

The tests in ExtLibNORMALIZ.cocoa5 look useful and is active in my setup (with libnormaliz). If it also gives no error without libnormaliz I guess this

can be closed.

#13 - 14 Mar 2016 16:06 - Christof Soeger

- Status changed from In Progress to Closed

- % Done changed from 70 to 100

#14 - 12 Oct 2016 15:01 - Anna Maria Bigatti

- Estimated time set to 3.05 h
